import { __name } from '../chunk-3IXKS7M5.mjs';
import { container } from '@sapphire/pieces';
import { PluginListener } from './PluginChatInputSubcommandError.mjs';
import { PluginListener as PluginListener$5 } from './PluginChatInputSubcommandNoMatch.mjs';
import { PluginListener as PluginListener$1 } from './PluginMessageSubcommandError.mjs';
import { PluginListener as PluginListener$4 } from './PluginMessageSubcommandNoMatch.mjs';
import { PluginListener as PluginListener$2 } from './PluginSubcommandMappingIsMissingChatInputCommandHandler.mjs';
import { PluginListener as PluginListener$3 } from './PluginSubcommandMappingIsMissingMessageCommandHandler.mjs';

function loadListeners() {
  const store = "listeners";
  void container.stores.loadPiece({ name: "PluginChatInputSubcommandError", piece: PluginListener, store });
  void container.stores.loadPiece({ name: "PluginMessageSubcommandError", piece: PluginListener$1, store });
  void container.stores.loadPiece({
    name: "PluginSubcommandMappingIsMissingChatInputCommandHandler",
    piece: PluginListener$2,
    store
  });
  void container.stores.loadPiece({
    name: "PluginSubcommandMappingIsMissingMessageCommandHandler",
    piece: PluginListener$3,
    store
  });
  void container.stores.loadPiece({
    name: "PluginMessageSubcommandNoMatch",
    piece: PluginListener$4,
    store
  });
  void container.stores.loadPiece({
    name: "PluginChatInputSubcommandNoMatch",
    piece: PluginListener$5,
    store
  });
}
__name(loadListeners, "loadListeners");

export { loadListeners };
//# sourceMappingURL=_load.mjs.map
//# sourceMappingURL=_load.mjs.map